body {
  background: #f4f4f4;

  --sv-btn-color-dark: #181818;
  --sv-btn-color-light: #fff;
}

#page-header {
  display: none;
}

#page-c {
  display: none;
}

#main-content {
  padding: 0;
}

.shorts-scroll-area {
  overflow: auto;
  position: relative;
  height: calc(100vh - 118px);
  scroll-behavior: smooth;
  scroll-snap-type: y mandatory;
}

/* hide scrollbar from .shorts-scroll-area */
.shorts-scroll-area::-webkit-scrollbar {
  width: 0px;
  background: transparent;
}

@media (min-width: 992px) {
  .catalogue-filters-scroll-area {
      padding-top: 1.6rem;
      padding-bottom: 1.6rem;
      overflow: auto;
      height: calc(100vh - 120px);
  }
}

.shorts-container {
  padding-top: 1.6rem;
  height: calc(100vh - 150px - 1.6rem);
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  transition: all 0.4s ease;
  scroll-snap-align: start;
  scroll-snap-stop: always;
}

.shorts-container:last-child {
  padding-bottom: 1.8rem;
}

.short-video-wrapper {
  position: relative;
  display: flex;
  gap: 2rem;
  height: 100%;
}

.short-video-wrapper .inner {
  width: max(46vh, 340px);
  height: 100%;
  position: relative;
  background: #181818;
  border-radius: 12px;
  overflow: hidden;
}

.short-video-wrapper .inner:after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: linear-gradient(0deg, #181818, transparent 30%);
  z-index: 1;
  pointer-events: none;
}

.short-video-wrapper .inner video {
  height: 100%;
  width: 100%;
  cursor: pointer;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  object-position: center;
  object-fit: cover;
}

.short-video-wrapper .inner .controls {
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;
  padding: 12px;
  color: white;
  pointer-events: none;
  text-shadow: 0 0 2px #000;
}

.short-video-wrapper .inner .video-meta {
  position: absolute;
  z-index: 2;
  bottom: 0;
  color: white;
  width: 100%;
  padding: 12px;
  text-shadow: 0 0 2px #000;
}

.short-video-wrapper .inner .video-meta .video-title {
  font-size: 16px;
  margin-bottom: 6px;
}

.short-video-wrapper .inner .video-meta .creator {
  display: flex;
  align-items: center;
  gap: 6px;
}

.short-video-wrapper .inner .video-meta .creator .avatar {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  overflow: hidden;
}

.video-meta .creator .avatar img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  background: black;
}

.short-video-wrapper .outter {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  justify-content: flex-end;
  padding-bottom: 2rem;
}

.video-action-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 40px;
  width: 40px;
  background: transparent;
  border: 2px solid var(--sv-btn-color-dark);
  border-radius: 50%;
  padding: 7px;
  color: var(--sv-btn-color-dark);
  transition: all 0.25s ease;
}

.video-action-btn.active {
  background: var(--sv-btn-color-dark);
  color: var(--sv-btn-color-light);
  border-color: var(--sv-btn-color-dark);
}

.video-action-btn:hover {
  opacity: 0.8;
  background: var(--sv-btn-color-dark);
  color: var(--sv-btn-color-light);
}

.video-action-btn:focus {
  outline: none;
}

.video-action-btn.disabled,
.video-action-btn:disabled {
  opacity: 0.5;
  pointer-events: none;
}

.video-action-btn svg path {
  fill: currentColor;
}

.btn-wrapper .btn-text {
  color: var(--sv-btn-color-dark);
  font-weight: 600;
  text-align: center;
  margin-top: 2px;
  font-size: 1.1rem;
}

.video-action-btn.previous-btn {
  position: absolute;
  right: 40px;
  top: 1.8rem;
  z-index: 5;
}

.video-action-btn.next-btn {
  position: absolute;
  right: 40px;
  bottom: 1.8rem;
  z-index: 5;
}

@media (max-width: 768px) {
  .short-video-wrapper {
      gap: 1rem;
  }

  .short-video-wrapper .inner {
      width: min(86vw, 420px);
  }

  .short-video-wrapper .outter {
      position: absolute;
      right: 10px;
      bottom: 0;
      z-index: 5;
  }

  .shorts-scroll-area {
      height: calc(100vh - 58px);
  }

  .shorts-container {
      height: calc(100vh - 88px - 1.6rem);
  }

  .video-action-btn.previous-btn,
  .video-action-btn.next-btn {
      display: none !important;
  }

  body {
      --sv-btn-color-dark: #fff;
      --sv-btn-color-light: #2d2f31;
  }

  .catalogue-filters-scroll-area {
      display: none;
  }
}